<?php
/*
 * hi_KCFinder for CMSimple
 *
 * Include file to enable and configure
 * KCFinder for TinyMCE.
 *
 * @author Holger Irmler
 * @link http://CMSimple.HolgerIrmler.de
 * @build 2012012801
 * @version 2.0
 * @date: 2012-01-28
 * @package hi_kcfinder
 */

 
 
 if (!function_exists('sv') || preg_match('/tinymce.php/i', sv('PHP_SELF')))die('Access denied');
 
 function hi_kcfinder_tinymce_init() {
	global $pth, $sl, $cf, $hi_kcfLang;
	
	if (!isset($_SESSION['xh_session'])) { return ''; }
	
	//KCFinder - Init
	include_once($pth['folder']['plugins'].'hi_kcfinder/kcfinder_init.php');
	
	//hi_kcFinder thumb-folder
	$thumbdir = $_SESSION['KCFINDER']['thumbsDir'];
	
	//Callback-Function for TinyMCE
	$_SESSION['tinymce_fb_callback'] = 'openKCFinder';
	
	if($sl == $cf['language']['default']) {
		$hi_kcfDefLang = 1;
	} else {
		$hi_kcfDefLang = 0; 
	}

	$kcfurl =  CMSIMPLE_ROOT . 'plugins/hi_kcfinder/kcfinder/browse.php?opener=tinymce&defaultLanguage='.$hi_kcfDefLang.'&lang='.$hi_kcfLang.'&thumbdir='.$thumbdir.'&type=';
	
	$script = file_get_contents(dirname(__FILE__) . '/filebrowser.js');
	$script = str_replace('%KCFURL%',  $kcfurl, $script);
	
	return $script;
 }
?>